# BEGIN SourceDeps(oneline):
BuildRequires: perl(List/AllUtils.pm) perl(Math/Cephes.pm) perl(Module/Build.pm) perl(Statistics/Data.pm) perl(Statistics/Data/Rank.pm) perl(Statistics/Lite.pm) perl(Test/More.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_name Statistics-ANOVA-KW
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Kruskall-Wallis statistics and test (nonparametric independent analysis of variance by ranks for no...
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RG/RGARTON/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Performs calculations for the Kruskal-Wallis one-way nonparametric analysis of variance by ranks. This is for (at least) ordinal-level measurements of two or more samples of a nominal/categorical variable with equality of variances across the samples. The test is unreliable for small number of observations per sample (conventionally, all samples should have more than five observations). See REFERENCES for more information, and discussions of the assumptions/interpretations, and pros/cons, of the test at laerd statistics (pro) and biostathandbook (con). Note that the Kruskall-Wallis test is often described as a test for *three* or more samples, in contrast to the Mann-Whitney test, which is restricted to two samples, but KW can also be used with only two samples: the absolute value of the *z*-value from a Mann-Whitney test equals the square-root of the KW statistic for two factors.

Data-loading and retrieval are as provided in Statistics::Data, on which this module's class object is `base'd, so its other methods are available here.

Return values are tested on installation against published examples and output from other software (e.g., SPSS).
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ignore.txt README Changes
%perl_vendor_privlib/S*

%changelog
* Fri Oct 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

